<?php

header("Cache-Control: no-cache, no-store, must-revalidate");
header("Pragma: no-cache");
header("Expires: 0");


if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['image'])) {
    if(isset($_POST['project_name']) && isset($_POST['work_name']) && isset($_POST['visit_name'])) {
        $project_name = $_POST['project_name'];
        $work_name = $_POST['work_name'];
        $visit_name = $_POST['visit_name'];
        
        // Directorio base donde se guardarán las imágenes
        $base_dir = "uploads/evidencia/";
    
        // Rutas completas para las carpetas
        $project_dir = $base_dir . $project_name . "/";
        $work_dir = $project_dir . $work_name . "/";
        $visit_dir = $work_dir . $visit_name . "/";
    
        // Verificar y crear las carpetas si no existen
        if (!file_exists($project_dir)) {
            mkdir($project_dir, 0777, true);
        }
        if (!file_exists($work_dir)) {
            mkdir($work_dir, 0777, true);
        }
        if (!file_exists($visit_dir)) {
            mkdir($visit_dir, 0777, true);
        }
    
        $target_file = $visit_dir . basename($_FILES["image"]["name"]);
        $imageFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));
    
        // Verificar si el archivo es una imagen
        if (getimagesize($_FILES["image"]["tmp_name"]) !== false) {
            // Mover el archivo subido
            if (move_uploaded_file($_FILES["image"]["tmp_name"], $target_file)) {
                echo 1;
            } else {
                echo -2;
            }
        } else {
            echo -2;
        }
    } else {
        echo -3; // Error: No se proporcionaron nombres de proyecto, obra y visita.
    }
}


if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['video'])) {
    if(isset($_POST['project_name']) && isset($_POST['work_name']) && isset($_POST['visit_name'])) {
        $project_name = $_POST['project_name'];
        $work_name = $_POST['work_name'];
        $visit_name = $_POST['visit_name'];
        
        // Directorio base donde se guardarán las imágenes
        $base_dir = "uploads/evidencia/";
    
        // Rutas completas para las carpetas
        $project_dir = $base_dir . $project_name . "/";
        $work_dir = $project_dir . $work_name . "/";
        $visit_dir = $work_dir . $visit_name . "/";
    
        // Verificar y crear las carpetas si no existen
        if (!file_exists($project_dir)) {
            mkdir($project_dir, 0777, true);
        }
        if (!file_exists($work_dir)) {
            mkdir($work_dir, 0777, true);
        }
        if (!file_exists($visit_dir)) {
            mkdir($visit_dir, 0777, true);
        }
    
        $target_file = $visit_dir . basename($_FILES["video"]["name"]);
        $videoFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));
    
         // Verificar si el archivo es un video
        if (strpos($videoFileType, 'mp4') !== false) {
            // Mover el archivo subido
            if (move_uploaded_file($_FILES["video"]["tmp_name"], $target_file)) {
                echo 1;
            } else {
                echo -2;
            }
        } else {
            echo -2;
        }
    } else {
        echo -3; // Error: No se proporcionaron nombres de proyecto, obra y visita.
    }
}

?>